package com.javapapers.androidactivity;


import com.javapapers.androidactivity.R;

import android.os.Bundle;
import android.app.Activity;
import android.content.Intent;
import android.view.View;
import android.widget.TextView;

public class SubActivity extends Activity {
	TextView objText;
	ActivityStatus objStatus = new ActivityStatus();
	String StatusList;

    @Override
    public void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_sub);
        objStatus.updateStatusList("SubActivity","Created");
    }

    @Override
    protected void onStart() {
        super.onStart();
        objStatus.updateStatusList("SubActivity","Started");
    }
    @Override
    protected void onRestart() {
        super.onRestart();
        objStatus.updateStatusList("SubActivity","Restarted");
    }

    @Override
    protected void onResume() {
        super.onResume();
        objStatus.updateStatusList("SubActivity","Resumed");
        StatusList = objStatus.getStatusList();
        objText = (TextView)findViewById(R.id.textView1);
        objText.setText(StatusList);
    }

  @Override
    protected void onPause() {
	  super.onPause();
	  objStatus.updateStatusList("SubActivity","Paused");
    }

   @Override
    protected void onStop() {
        super.onStop();
        objStatus.updateStatusList("SubActivity","Stoped");
    }

   @Override
    protected void onDestroy() {
        super.onDestroy();
        objStatus.updateStatusList("SubActivity","Destroyed");
    }

    
    public void startActivityMain(View view) {
   	 	Intent objIntent = new Intent(SubActivity.this, MainActivity.class);
   	 	startActivity(objIntent);    	
    }
}
